Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class SVGComposite.AlphaPreCompositeContext

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext

All Implemented Interfaces:
  CompositeContext

Direct Known Subclasses:
  SVGComposite.AlphaPreCompositeContext_INT_PACK, SVGComposite.ArithCompositeContext, SVGComposite.AtopCompositeContext, SVGComposite.DarkenCompositeContext, SVGComposite.InCompositeContext, SVGComposite.LightenCompositeContext, SVGComposite.MultiplyCompositeContext, SVGComposite.OutCompositeContext, SVGComposite.OverCompositeContext, SVGComposite.OverCompositeContext_NA, SVGComposite.ScreenCompositeContext, SVGComposite.XorCompositeContext

Enclosing class:
  SVGComposite

    public abstract static class SVGComposite.AlphaPreCompositeContext

extends Object
implements CompositeContext

Method Summary
`void` | `compose(Raster src, Raster dstIn, WritableRaster dstOut)`
`void` | `dispose()`
`protected abstract void` | `precompose(Raster src, Raster dstIn, WritableRaster dstOut)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `CompositeContext`

### precompose

    protected abstract void precompose(Raster src,
                                       Raster dstIn,
                                       WritableRaster dstOut)

### compose

    public void compose(Raster src,
                        Raster dstIn,
                        WritableRaster dstOut)

  Specified by:
    `compose` in interface `CompositeContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.